> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/functions/text/replace.md).

# Replace

{% hint style="info" %}
The **`Replace()`** function returns a new <mark style="color:green;">text</mark> in which all occurences of <mark style="color:blue;">`old_value`</mark> in `text` are replaced by <mark style="color:blue;">`new_value`</mark>.

This function is NOT SQL compatible. For more information about SQL compatibility, see our [documentation](/platform/wemreference/sql-compatibility.md).
{% endhint %}

{% hint style="success" %}
Returns a new <mark style="color:green;">text</mark> where each occurence of <mark style="color:blue;">`old_value`</mark> is replaced by <mark style="color:blue;">`new_value`</mark>.\
Returns <mark style="color:red;">`Invalid expression`</mark> if the result is not a text.&#x20;
{% endhint %}

### Syntax

<details>

<summary><code>Replace(</code><mark style="color:blue;"><code>text</code></mark><code>, </code><mark style="color:blue;"><code>old_value</code></mark><code>, </code><mark style="color:blue;"><code>new_value</code></mark><code>)</code></summary>

`Replace("All the 1234 parts will be replaced.", "the 1234", "unknown or illegal")`\
*=> "All unknown or illegal parts will be replaced."*

</details>

### Parameters

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="150" align="center">Required</th><th width="248.15953250810662">Description</th><th data-hidden>Required?</th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>text</code></mark></td><td>text</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2611">☑️</span></td><td>the text on which the replace operation is performed.</td><td>yes</td></tr><tr><td><mark style="color:blue;"><code>old_value</code></mark> </td><td>text</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2611">☑️</span></td><td>the text that is to be replaced by <mark style="color:blue;"><code>new_value</code></mark>.</td><td></td></tr><tr><td><mark style="color:blue;"><code>new_value</code></mark> </td><td>text</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2611">☑️</span></td><td>the text that replaces all occurrences of <mark style="color:blue;"><code>old_value</code></mark>.</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.wem.io/platform/wemreference/functions/text/replace.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
